RedCrawler API
Scrape V2

Community Feed by Name V2

Fetch subreddit post feed. All 6 sorts supported. Up to 1250 posts per request.

GET /api/v2/community/q/feed

Fetch subreddit post feed. All 6 sorts supported. Up to 1250 posts per request.

Query parameters

NameTypeRequiredDescription
namestringYesSubreddit name, r/name, or URL.
limitstringNoMax posts to return (1-1250). Default: 100. Auto-paginates.
sortstringNoSort order: hot, new, top, controversial, rising, best. Default: hot.
time_filterstringNoTime filter for top/controversial: hour, day, week, month, year, all.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v2/community/q/feed?name=python&limit=100&sort=hot&time_filter=<time_filter>" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/community/q/feed?name=python&limit=100&sort=hot&time_filter=<time_filter>", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v2/community/q/feed?name=python&limit=100&sort=hot&time_filter=<time_filter>"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "success": true,
    "items": [
      {
        "node": {
          "id": "dDNfMXNwZGhndA==",
          "groupId": "t3_1sys4r2",
          "payload": null,
          "adPayload": null,
          "groupRecommendationContext": null,
          "cells": [
            {
              "id": "TWV0YWRhdGFDZWxsLXQzXzFzcGRoZ3Q=",
              "createdAt": "2026-04-19T00:00:05.608000+0000",
              "authorName": "u/AutoModerator",
              "color": {
                "rgbaColor": "#FFCC00FF"
              },
              "detailsString": "u/AutoModerator",
              "detailsLink": "AutoModerator",
              "iconPath": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
              "iconShape": "ROUND_WITH_BORDER",
              "isJoinButtonShown": false,
              "joinSubredditId": null,
              "isOverflowButtonHidden": false,
              "mediaPath": null,
              "mediaDomain": null,
              "isRecommended": false,
              "statusIndicators": [
                "MOD",
                "PINNED",
                "\u2026 (1 more items)"
              ],
              "isBrandAffiliate": false,
              "modUserNoteLabel": null
            },
            {
              "id": "VGl0bGVDZWxsLXQzXzFzcGRoZ3Q=",
              "title": "Sunday Daily Thread: What's everyone working on this week?",
              "isVisited": false
            },
            "\u2026 (4 more items)"
          ],
          "crosspostCells": [
            {},
            {},
            "\u2026 (4 more items)"
          ]
        }
      },
      {
        "node": {
          "id": "dDNfMXN4bDRiYg==",
          "groupId": "t3_1sys4r2",
          "payload": null,
          "adPayload": null,
          "groupRecommendationContext": null,
          "cells": [
            {
              "id": "TWV0YWRhdGFDZWxsLXQzXzFzeGw0YmI=",
              "createdAt": "2026-04-28T00:00:04.985000+0000",
              "authorName": "u/AutoModerator",
              "color": {
                "rgbaColor": "#FFCC00FF"
              },
              "detailsString": "u/AutoModerator",
              "detailsLink": "AutoModerator",
              "iconPath": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
              "iconShape": "ROUND_WITH_BORDER",
              "isJoinButtonShown": false,
              "joinSubredditId": null,
              "isOverflowButtonHidden": false,
              "mediaPath": null,
              "mediaDomain": null,
              "isRecommended": false,
              "statusIndicators": [
                "MOD",
                "PINNED",
                "\u2026 (1 more items)"
              ],
              "isBrandAffiliate": false,
              "modUserNoteLabel": null
            },
            {
              "id": "VGl0bGVBbmRUaHVtYm5haWxDZWxsLXQzXzFzeGw0YmI=",
              "titleCell": {
                "id": "VGl0bGVDZWxsLXQzXzFzeGw0YmI=",
                "title": "Tuesday Daily Thread: Advanced questions",
                "isVisited": false
              },
              "thumbnail": {
                "type": "IMAGE",
                "sourceData": {
                  "path": "\u2026",
                  "isObfuscated": "\u2026",
                  "obfuscatedPath": "\u2026",
                  "size": "\u2026"
                }
              },
              "previewTextCell": {
                "id": "UHJldmlld1RleHRDZWxsLXQzXzFzeGw0YmI=",
                "text": "Weekly Wednesday Thread: Advanced Questions \ud83d\udc0d Dive deep into Python with our Advanced Questions thread! This space is reserved for questions about more advanced Python topics, frameworks, and best practices. How it Works: Ask Away: Post your advanced Python questions here. Expert Insights: Get answe",
                "isRead": false
              },
              "indicatorsCell": null
            },
            "\u2026 (3 more items)"
          ],
          "crosspostCells": [
            {},
            {},
            "\u2026 (3 more items)"
          ]
        }
      },
      "\u2026 (98 more items)"
    ],
    "count": 100
  },
  "error": null,
  "timestamp": "2026-04-29T08:59:25.421057+00:00"
}

On this page